aboutsummaryrefslogtreecommitdiffstats
path: root/initscripts-s390.patch
blob: f85fd97325d63837fc1d0686c754e8428e52c546 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
--- initscripts-5.97/rc.d/init.d/halt.s390init	Thu Jul  5 17:55:32 2001
+++ initscripts-5.97/rc.d/init.d/halt	Thu Jul  5 17:54:42 2001
@@ -110,7 +110,9 @@
      ;;
 esac
 
-runcmd $"Syncing hardware clock to system time" /sbin/hwclock $CLOCKFLAGS
+if [ -x /sbin/hwclock ] ; then
+  runcmd $"Syncing hardware clock to system time" /sbin/hwclock $CLOCKFLAGS
+fi
 
 # Turn off swap, then unmount file systems.
 SWAPS=`awk '! /^Filename/ { print $1 }' /proc/swaps`
--- initscripts-5.97/rc.d/rc.sysinit.s390init	Thu Jun 21 19:06:53 2001
+++ initscripts-5.97/rc.d/rc.sysinit	Thu Jul  5 17:55:07 2001
@@ -105,9 +105,13 @@
      ;;
 esac
 
-/sbin/hwclock $CLOCKFLAGS
-
-action $"Setting clock $CLOCKDEF: `date`" date
+if [ -x /sbin/hwclock ] ; then
+  /sbin/hwclock $CLOCKFLAGS
+  action $"Setting clock $CLOCKDEF: `date`" date
+else
+  # System date on S390 is always set correctly
+  action $"System date: `date` " date
+fi
 
 if [ "`/sbin/consoletype`" == "vt" ]; then
  # Load keymap
@@ -269,6 +273,9 @@
     else
 	action $"Skipping ISA PNP configuration at users request: " /bin/true
     fi
+else
+    # No /sbin/isapnp => no PNP
+    PNP=
 fi
 
 # Remount the root filesystem read-write.
@@ -276,6 +283,24 @@
 [ "$state" != "rw" ] && \
   action $"Remounting root filesystem in read-write mode: " mount -n -o remount,rw /
 
+# Fix up kernel versioning on binary-only modules
+if [ -x /sbin/oco-setkver ]; then
+  kver=`</proc/sys/kernel/osrelease`
+  kernelver=`echo $kver|awk -F '-' '{ print $1 }'`
+  if  [ "$HOSTTYPE" == "s390x" ]; then
+    kernelver="${kernelver}x"
+  fi
+  if [ "${kver:0:3}" == "2.4" ]; then 
+    modpath="/lib/modules/$kver/kernel/net"
+  else
+    modpath="/lib/modules/$kver/net"
+  fi
+  for i in /lib/modules/ibm-$kernelver/net/*; do
+    [ -e $i ] || break
+    /sbin/oco-setkver $kver $i $modpath/`basename $i`
+  done
+fi
+
 # LVM initialization
 if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then
         action $"Setting up LVM:" /sbin/vgscan && /sbin/vgchange -a y
@@ -560,17 +585,25 @@
     if [ -x /usr/bin/passwd ]; then 
         /usr/bin/passwd root
     fi
-    if [ -x /usr/sbin/netconfig ]; then
-	/usr/sbin/netconfig
+
+    # on S390 console we don't have newt
+    if [ "`/bin/arch`" = "s390" ] ; then
+	ARCH=".s390"
+    else
+	ARCH=""
+    fi
+
+    if [ -x /usr/sbin/netconfig$ARCH ]; then
+        /usr/sbin/netconfig$ARCH
     fi
-    if [ -x /usr/sbin/timeconfig ]; then
-	/usr/sbin/timeconfig
+    if [ -x /usr/sbin/timeconfig$ARCH ]; then
+        /usr/sbin/timeconfig$ARCH
     fi
-    if [ -x /usr/sbin/authconfig ]; then
-	/usr/sbin/authconfig --nostart
+    if [ -x /usr/sbin/authconfig$ARCH ]; then
+        /usr/sbin/authconfig$ARCH --nostart
     fi
-    if [ -x /usr/sbin/ntsysv ]; then
-	/usr/sbin/ntsysv --level 35
+    if [ -x /usr/sbin/ntsysv$ARCH ]; then
+        /usr/sbin/ntsysv$ARCH --level 35
     fi
 
     # Reread in network configuration data.